> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sourceforge Product Reviews

> This endpoint is used to fetch reviews from sourceforge-product for a specified business.



## OpenAPI

````yaml POST /sourceforge-product/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /sourceforge-product/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from sourceforge-product for a
        specified business.
      requestBody:
        description: sourceforge-product review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SourceforgeProductReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceforgeProductReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    SourceforgeProductReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Sourceforge Product url or provide product slug
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        pagination_token:
          type: string
          description: >-
            The next_page received with the past request, which is required for
            the pagination
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    SourceforgeProductReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              author_designation:
                type:
                  - string
                  - 'null'
                description: Designation of the review author
              author_name:
                type: string
                description: Name of the review author
              is_incentivized:
                type: boolean
                description: Whether the review is incentivized
              query:
                type: string
                description: Original query URL
              recommendation_probability:
                type: string
                description: Probability of recommending the product
              review_date:
                type: string
                description: Date when the review was posted
              review_dimentional_rating:
                type: object
                properties:
                  Design:
                    type: integer
                    description: Rating for design
                  Ease:
                    type: integer
                    description: Rating for ease of use
                  Features:
                    type: integer
                    description: Rating for features
                  Pricing:
                    type: integer
                    description: Rating for pricing
                  Support:
                    type: integer
                    description: Rating for support
                description: Dimensional ratings breakdown
              review_id:
                type: string
                description: ID of the review
              review_meta:
                type: object
                properties:
                  'Company Size:':
                    type: string
                    description: Company size of the reviewer
                  'Frequency of Use:':
                    type: string
                    description: Frequency of product usage
                  'Used the software for:':
                    type: string
                    description: Duration of software usage
                  'User Role:':
                    type: string
                    description: Role of the user
                description: Review metadata information
              review_rating:
                type: string
                description: Overall rating given in the review
              review_text:
                type: object
                properties:
                  cons:
                    type: string
                    description: Cons mentioned in the review
                  overall:
                    type: string
                    description: Overall review text
                  pros:
                    type: string
                    description: Pros mentioned in the review
                description: Review text broken down by sections
              review_title:
                type: string
                description: Title of the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````